Page MenuHomePhabricator

[Task] Set up Jenkins to run unit tests against a combined repo+client setup.
Closed, ResolvedPublic

Description

A wikibase repo per default also has the client code enabled. This is also true for Wikidata. So our CI setup should test that configuration.

This means having three test sets: repo+client, repo only, and client only. Each of them could potentially be tested against sqlight and mysql, and against hhvm and php/zend.

We should at least test repo+client and client-only on mysql+hhv, since these are the configurations we are running on the live sites. For repo only, perhaps testing against sqlite is enough.

Event Timeline

daniel created this task.Sep 10 2015, 5:46 PM
daniel raised the priority of this task from to Medium.
daniel updated the task description. (Show Details)
daniel added subscribers: daniel, JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 5:46 PM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Sep 10 2015, 6:37 PM
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from Proposed to Backlog on the Wikidata-Sprint-2015-09-29 board.
Tobi_WMDE_SW renamed this task from [Task] Set up Jenkins to run unit tests aginst a combined repo+client setup. to [Task] Set up Jenkins to run unit tests against a combined repo+client setup..Sep 30 2015, 10:22 AM

Change 243700 had a related patch set uploaded (by JanZerebecki):
Jenkins: enable client when repo is enabled

https://gerrit.wikimedia.org/r/243700

I decided is was best to first change ever job using repo only to repo+client. Also having a repo only run can be done later.

Change 243700 merged by jenkins-bot:
Jenkins: enable client when repo is enabled

https://gerrit.wikimedia.org/r/243700

hoo closed this task as Resolved.Oct 6 2015, 7:56 AM
hoo removed a project: Patch-For-Review.